#!/bin/bash

sessioncount=`netstat -an | grep '3389' | grep ESTABLISHED | wc -l`
desired=1
if [ $sessioncount -eq 0 ]; then

    keyboards=`xinput | grep -v "XTEST" | grep "slave  keyboard" | sed -re 's/^.*\sid=([0-9]+)\s.*$/\1/'`
    mouses=`xinput | grep -v "XTEST" | grep "slave  pointer" | sed -re 's/^.*\sid=([0-9]+)\s.*$/\1/'`
    monitors=`xrandr | grep " connected" | sed -re 's/^(.+) connected.*$/\1/'`

	# Enable input devices
    for device in $mouses $keyboards
    do
	    xinput --set-prop $device "Device Enabled" $desired
    done

	# Turn on monitors
    for device in $monitors 
    do
	    xrandr --output $device --brightness $desired 
    done

	# Lock session
    dsession=`loginctl | grep 'seat' | sed -re   's/^[^0-9]*([0-9]+).*$/\1/'`
    loginctl lock-session $dsession 
fi
